All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.net.brg.orb
Class BrgOrb

    com.sas.net.brg.orb.BrgOrb

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class BrgOrb

This is the root class of IOM Bridge for Java, a standard, non-interoperable CORBA ORB. It is standard because it implements the CORBA ORB specification (more specifically, it extends `org.omg.CORBA.ORB`), but it is not interoperable because it can only communicate with an IOM Bridge server. The benefit of communicating with the IOM Bridge server through a standard CORBA ORB is that it will support programs written to communicate with an IOM CORBA server through an interoperable CORBA ORB without modification or even recompilation.

To indicate to one of the `org.omg.CORBA.ORB.init()` method that you would like to use this ORB specify the following property in the `java.util.Properties` object required by those methods.

Name | Value
--- | ---
`org.omg.CORBA.ORBClass` | `com.sas.net.brg.orb.BrgOrb`

It is also possible to instantiate this ORB directly using its constructor.

IOM Bridge for Java supports a variety of encryption algoritms for encrypting messages sent to and received from the IOM Bridge server. If encryption is used, then the authentication message which contains a user name and password will be encrypted.

sasproprietary
  a stream cipher developed at SAS Institute.
rc2
  a block cipher developed by RSA Data Security
rc4
  a stream cipher developed by RSA Data Security
aes
  a block cipher called Advanced Encryption Standard
des
  a block cipher called Data Encryption Standard
tripledes
  des applied three times with separate keys

Support for rc2, rc4, aes, des, and tripledes is only available if SAS/SECURE has been licensed on the IOM Bridge server and if SAS/SECURE Java has been installed in the client code base. Furthermore, government import and export restrictions may limit the countries in which SAS/SECURE is available.

Constructor Summary
`BrgOrb()`
`BrgOrb(java.util.Properties properties)`

Method Summary
`java.util.Properties` | `objectToProperties(org.omg.CORBA.Object obj)`
`org.omg.CORBA.Object` | `propertiesToObject(java.util.Properties properties)`
`org.omg.CORBA.Object` | `propertiesToObjectNoCopy(java.util.Properties properties)`
`static java.lang.String` | `propertiesToReference(java.util.Properties properties)`
`static java.util.Properties` | `referenceToProperties(java.lang.String reference)`

Constructor Detail

### BrgOrb

    public BrgOrb()

### BrgOrb

    public BrgOrb(java.util.Properties properties)

Method Detail

### propertiesToObject

    public org.omg.CORBA.Object propertiesToObject(java.util.Properties properties)

### propertiesToObjectNoCopy

    public org.omg.CORBA.Object propertiesToObjectNoCopy(java.util.Properties properties)

### objectToProperties

    public java.util.Properties objectToProperties(org.omg.CORBA.Object obj)

### referenceToProperties

    public static java.util.Properties referenceToProperties(java.lang.String reference)

### propertiesToReference

    public static java.lang.String propertiesToReference(java.util.Properties properties)

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.